iOS_Tips 持续更新中

使用CocoaPods中遇到的坑

在GFW的存在下,使用pod installpod update已经变得巨慢无比,所以推荐使用下列方式来生成或更新Podfile里面的第三方库:

1
2
pod install --verbose --no-repo-update
pod update --verbose --no-repo-update

经过实验,这两个命令完美解决之前速度慢的问题~

CocoaPods 1.0之后初始化Podfile

CocoaPods1.0之前,Podfile的格式很简单,只需要写上需要用到的第三方库即可。而1.0之后,格式就比较规范了,如下所示:

  • 支持的版本号

    platform :ios, '9.0'
    
  • target

    target 'ProjectName' do
    

ProjectName是项目名称,可以是中文。
在Podfile的结尾还需要写上end
标准的格式如下所示:

1
2
3
4
5
6
7
8
9
10
11
12
# Uncomment the next line to define a global platform for your project
# platform :ios, '9.0'
target 'PhotoTagger' do
# Comment the next line if you're not using Swift and don't want to use dynamic frameworks
use_frameworks!
inhibit_all_warnings!
# Pods for PhotoTagger
pod 'Alamofire', '~> 4.2.0'
end

But,还有一种更加简单不用手写的方式,那就是在项目目录下,进入终端,输入下面两行命令:

1
2
$ pod init
$ open -a Xcode Podfile

命令完成后,将会自动在Xcode里打开Podfile,你所需要做的跟以前一样写pod libary_name就可以了。

坚持原创技术分享,您的支持将鼓励我继续创作!